Package com.norconex.commons.lang.xml.flow.impl

# Class PropertyMatcherCondition

java.lang.Object
com.norconex.commons.lang.xml.flow.impl.PropertyMatcherCondition

All Implemented Interfaces:
  `XmlConfigurable`, `Predicate<Properties>`

public class PropertyMatcherCondition extends Object implements Predicate<Properties>, XmlConfigurable
A simple XML condition matching `Properties` keys and values.

Since:
  2.0.0

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PropertyMatcherCondition()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected boolean`
  `canEqual(Object other)`
  `boolean`
  `equals(Object o)`
  `int`
  `hashCode()`
  `void`
  `loadFromXML(Xml xml)`
  Load XML configuration values and initialized this object with them.
  `void`
  `saveToXML(Xml xml)`
  Saves this object as XML.
  `boolean`
  `test(Properties props)`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface java.util.function.Predicate

  `and, negate, or`

- ## Constructor Details

  - ### PropertyMatcherCondition

    public PropertyMatcherCondition()

- ## Method Details

  - ### test

    public boolean test(Properties props)
    Specified by:
      `test` in interface `Predicate<Properties>`

  - ### loadFromXML

    public void loadFromXML(Xml xml)
    Description copied from interface: `XmlConfigurable`
    Load XML configuration values and initialized this object with them.
    Specified by:
      `loadFromXML` in interface `XmlConfigurable`
    Parameters:
      `xml` - the XML to load into this object

  - ### saveToXML

    public void saveToXML(Xml xml)
    Description copied from interface: `XmlConfigurable`
    Saves this object as XML.
    Specified by:
      `saveToXML` in interface `XmlConfigurable`
    Parameters:
      `xml` - the XML that will representing this object

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### canEqual

    protected boolean canEqual(Object other)

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`